Index: contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -107,10 +107,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -107,10 +107,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -107,10 +107,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/mipstx39/rtems-4.11-mipstx39-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mipstx39/rtems-4.11-mipstx39-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/mipstx39/rtems-4.11-mipstx39-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -107,10 +107,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -107,10 +107,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	2%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -107,10 +107,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
Index: contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gdb.spec	(revision 1332cb902fa3d7f4d9adcf308971d3b0a0bfaba4)
+++ contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gdb.spec	(revision 65dd01e8861fb154619cccde3a513a40e9f273bc)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	1%{?dist}
+Release:	3%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -103,10 +103,5 @@
 %if "%{gdb_version}" == "7.1"
 Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-7.1.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-7.1-rtems4.10-20100319.diff
-%endif
-
-%if "%{gdb_version}" == "7.0.1"
-Source0: ftp://ftp.gnu.org/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-%{gdb_version}-rtems4.10-20091222.diff
+Patch0: ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gdb-7.1-rtems4.11-20100609.diff
 %endif
 
